Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: PHP and MySQL installation error  (Read 6378 times)

0 Members and 1 Guest are viewing this topic.

thegent

  • Coppermine newbie
  • Offline Offline
  • Posts: 15
PHP and MySQL installation error
« on: January 22, 2006, 02:55:34 pm »

using latest PHP and MySQL downloads
as far as i can see, mysql is installed properly in php

problem is when i run the 'coppermine install.php' i get the following error

"PHP does not have MySQL support enabled"

i have looked and looked and checked for hours

any clues as to why i get this error and how do i sort it out?
Logged
Confucias say:
Man who walks sideways through door at airport is going to Bangkok!!

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: PHP and MySQL installation error
« Reply #1 on: January 22, 2006, 03:07:31 pm »

well, I guess it means that you have to install PHP with mysql support then. Posting something like "latest version" is not very clever, as what for you appears like the latest version might be an outdated version for others, or it might mean that you're using an unsupported beta product. Post actual version numbers instead in the future, that's why software comes with version numbers.
Running your own webserver is not recommended, especially not for newbies. I strongly recommend reviewing the whole idea of self-hosting.
This board doesn't deal with webserver setups, but with coppermine. We assume that you already have a webserver up-and-running that fullfills the minimum requirements.
If you need help to set up your webserver in the first place, there are better places to look for support. Googling for the error message is usually the best method to start with.
Don't try compiling your own PHP version, go for a pre-made package! They usually come with mysql support out-of-the-box.
Logged

thegent

  • Coppermine newbie
  • Offline Offline
  • Posts: 15
Re: PHP and MySQL installation error
« Reply #2 on: January 22, 2006, 03:15:42 pm »

thankyou for absolutely useless answer!!!!
Logged
Confucias say:
Man who walks sideways through door at airport is going to Bangkok!!

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: PHP and MySQL installation error
« Reply #3 on: January 22, 2006, 03:35:51 pm »

thank you for your nice attitude, so here are some links for you as a token of my admiration for it:
You could have posted something like "Oh, I'm sorry - please help me anyway. I'm using Windows XXX (or Linux Distro XXX, Version Y.Y.Y) with Apache X.XX, PHP X.X.X, MySQL X.X.X", but instead you chose to become confrontational.
Taking into account your negative karma record, I banned you for 3 days from posting to give you some time to review your attitude.

Joachim
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
MOVED: How/why do you get negative karma?
« Reply #4 on: January 22, 2006, 09:30:26 pm »

« Last Edit: January 22, 2006, 09:37:11 pm by GauGau »
Logged
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 19 queries.